import React from 'react';

import { 
    Home, Fingerprint, History, MiscellaneousServices , 
    Work, VisibilityOff, PeopleAlt, Equalizer,
    ExpandLess, ExpandMore
} from '@mui/icons-material/'


import { Collapse,ListItem, List ,ListItemIcon,ListItemText,ListSubheader } from '@mui/material/'
import { NavItem } from './NavItem'


export function MainListItems(props){

    const [open, setOpen] = React.useState(false);

    const showPruebas = () => {
        if(!props.AppBarVisible){
            props.setAppBarVisible(true);
        }
        setOpen(!open);
    };

    return(
        <List>

            <ListSubheader inset>MENÚ</ListSubheader>

            <NavItem icon={<Home/>} title="Inicio" route="home" />
            <NavItem icon={<Work/>} title="Puestos" route="puestos" />
            <NavItem icon={<VisibilityOff/>} title="Contraseñas" route="contrasenas" />
            <NavItem icon={<PeopleAlt/>}  title="Expedientes" route="expedientes" />
            <NavItem icon={<Equalizer/>} title="Resultados" route="resultados" />

            <ListItem selected={open} onClick={showPruebas}>
                <ListItemIcon>
                    <Fingerprint />
                </ListItemIcon>


                <ListItemText 
                    sx={{
                        fontSize: 12,
                        ' .css-10hburv-MuiTypography-root' : {
                            fontSize : '.875rem'
                        },
                    }}
                    primary="Pruebas" 
                />
                {open ? <ExpandLess /> : <ExpandMore />}
            </ListItem>


            <Collapse in={open} timeout="auto" unmountOnExit>
                <List component="div" disablePadding>

                    <NavItem setOpen={setOpen} { ...props} open={open} route="pruebas/crear" title="Crear Prueba" />
                    <NavItem setOpen={setOpen} { ...props} open={open} route="pruebas/listar"  title="Listado de pruebas" />
                    <NavItem setOpen={setOpen} { ...props} open={open} route="pruebas/aplicar"  title="Aplicar" />
                    <NavItem setOpen={setOpen} { ...props} open={open} route="pruebas/respuestas" title="Respuestas" />
                    <NavItem setOpen={setOpen} { ...props} open={open} route="pruebas/calificaciones" title="Calificaciones" />

                </List>
            </Collapse>

            <NavItem icon={<MiscellaneousServices/>} title="Configuraciones" route="configuraciones" />
            <NavItem icon={<History/>} title="Historial" route="historial" />
        </List>
    )
}
